%define subrel  2

%define _disable_ld_no_undefined	1

%define docver	1.4.3
%define oname	ZynAddSubFX

Name:		zynaddsubfx
Version:	2.4.1
Release:	%mkrel 1
Summary:	Real-time MIDI software synthesizer
Source0:	http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.bz2
Source1:	http://downloads.sourceforge.net/%{name}/%{oname}-doc-%{docver}.tar.gz
Source3:	mandriva-controller.desktop
Source4:	mandriva-spliter.desktop
Source5:	mandriva-zynaddsubfx.desktop
Patch0:		ZynAddSubFX-2.4.1-makefile-jack.patch
# Build fix against fltk >= 1.3.0. From upstream trunk
# http://sourceforge.net/tracker/?func=detail&aid=3175784&group_id=62934&atid=502312
Patch1:         zynaddsubfx-fedora-0f236881.patch
License:	GPLv2+
Group:		Sound
URL:		http://sourceforge.net/projects/zynaddsubfx
BuildRequires:	libalsa-devel
BuildRequires:	fltk-devel
BuildRequires:	fftw3-devel
BuildRequires:	libjack-devel
BuildRequires:	mxml-devel
Provides:	ZynAddSubFX = %{version}-%{release}
Obsoletes:	ZynAddSubFX < %{version}-%{release}

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%prep
%setup -q -a 1 -n %{oname}-%{version}
%patch0 -p0
%patch1 -p1

# fix a header name - AdamW 2008/12
sed -i -e 's,Fl_Box.h,Fl_Box.H,g' ExternalPrograms/Controller/ControllerUI.fl

chmod 644 *.txt
mv %{oname}-doc-%{docver} html

%build
cd src
make OPTFLAGS="%{optflags}"
cd ../ExternalPrograms/Spliter
make
cd ../Controller/
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_datadir}/applications %{buildroot}/%{_datadir}/zynaddsubfx
install -m 755 src/zynaddsubfx %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}/%{_bindir}
install -m 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{buildroot}/%{_datadir}/applications
cp -a banks %{buildroot}/%{_datadir}/zynaddsubfx

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc examples html *.txt ZynAddSubFX.lsm 
%doc  ExternalPrograms/Spliter/readme.txt
%{_bindir}/zynaddsubfx
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*
%{_datadir}/zynaddsubfx/*




%changelog

* Sat Jan 21 2012 zezinho <zezinho> 2.4.1-1.2.mga1
+ Revision: 199330
- add jackit support
- add subrel to push as update
- Add zynaddsubfx to Mageia 1

* Mon Oct 31 2011 zezinho <zezinho> 2.4.1-1.mga2
+ Revision: 160694
- patch to build against fltk 1.3
- spec cleanup
- imported package zynaddsubfx


* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.4.1-1mdv2011.0
+ Revision: 572671
- rediff p0
- update to 2.4.1

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 2.4.0-2mdv2010.1
+ Revision: 493143
- rebuild for new fltk

* Thu Jul 16 2009 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2010.0
+ Revision: 396665
- new version
- rediff the patch
- fix build and installation

* Sun Dec 07 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.1-7mdv2009.1
+ Revision: 311514
- rebuild for new fltk
- some quick fixes for build with latest fltk
- update .desktop files not to include MDV menu categories
- new license policy
- disable no_undefined (breaks build, no shared lib here)
- clean spec
- rename to lower-case per MDV policy
- rename per policy

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-6mdv2009.0
+ Revision: 263231
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-5mdv2009.0
+ Revision: 262918
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2.2.1-3mdv2008.0
+ Revision: 26726
- Moved .desktop files outside spec
- Added banks and presets ( already included in package but not installed )
- Removed old menudir ( not used on 2008 )
- import ZynAddSubFX-2.2.1-2mdv2007.0

